Bug 64908 - Wrong russian encoding after saving new file in RTF format by OpenOffice
Summary: Wrong russian encoding after saving new file in RTF format by OpenOffice
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-29 22:00 UTC by Boris B.Samorodov
Modified: 2004-08-05 07:16 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris B.Samorodov 2004-03-29 22:00:26 UTC
	I create new text file in openoffice-writer, write some
russian text and save file at RTF format. After opening this file
I see wrong encoding for russian text. The encoding looks like
win1251 (windows cyrillic).
	Workaround: save blank file at RTF format and close it.
After reopenning it, one can do the russian stuff: typing, saving,
closing, reopenning. All is fine.
	Neither Linux, nor Windows version does not have this bug.
OpenOffice originally saves text at unicode format, but in FreeBSD
port there is a patch called patch-wrtrtf. The patch leads to
saving file at non-unicode format. Probably, the patch do the
right thing after opening existing file. But saving new file
at RTF format is invalid.
	The same results are in OpenOffice-1.1.0 (english),
1.1.1.RC3 (english), 1.1.1.RC1 (russian, installed from
russian/OpenOffice-1.1).

Fix: 

No fix.
How-To-Repeat: 
	Locale is ru_RU.KOI8-R.
	Open new file in openoffice-writer. 
	Type some russian text.
	Save file in RTF format.
	Open this file.
	See wrong encoding.
Comment 1 Pav Lucistnik freebsd_committer 2004-03-30 01:52:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Assign to openoffice team
Comment 2 Maho Nakata freebsd_committer 2004-08-05 07:15:39 UTC
State Changed
From-To: open->closed

remove CJK-rtf patches. 
thank you for your report!